Subject: Re: Can outsiders get simple questions answered?
From: [email-masked] (Christopher Faylor)

30 Dec 1998 22:34:43 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Dan Hensley <[email-masked]>, [email-masked]

On Wed, Dec 30, 1998 at 03:24:20PM -0700, Dan Hensley wrote:
>Chris,
>
>Christopher Faylor wrote:
>
>>On Wed, Dec 30, 1998 at 02:24:19PM -0700, Dan Hensley wrote:
>>>But it still looks like tcsetattr isn't able to set all of my
>>>attributes correctly, namely:
>>>
>>>iflag: ICRNL
>>>cflag: CREAD
>>
>> Neither of these is implemented by Cygwin.
>
>Do you know if there are any plans to implement these in the future?

We have no plans to implement these.  Sorry.  It's possible that one of
our commercial customers will request something like this but otherwise
it isn't likely that anyone here will be working on it.

>> >* When I set both serial port and keyboard for polling by select, and I
>> >enter something via the keyboard, FD_ISSET() tells me that both the
>> >keyboard and the serial port had input.
>>
>> My test case doesn't show this.  Sorry.
>
>Hmmm...  That's weird.  I'll take a closer look at the fd_set structure
>and the macro and see if I can see why this is happening.  The
>workaround is simple enough in the code, but I'd like to understand
>what's happening.  Would you like my source code for debugging/testcase
>purposes (it's changed a little from the original I sent)?

You're welcome to send it but I can't guarantee that I'll have time to
look at it.

-chris
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".